Blockchain
List Chains
This endpoint lists all chains supported by Notus API
Authorization
x-api-key x-api-key<token>
In: header
Query Parameters
page?number
Page to return, the "perPage" amount will influence what and how pages are returned
Range
1 <= valueDefault
1perPage?number
Amount of chains returned per page
Range
1 <= value <= 100Default
10Response Body
application/json
curl -X GET "https://example.com/api/v1/crypto/chains"{ "chains": [ { "id": 137, "name": "POLYGON", "logo": "https://logopolygon.com" } ]}Broadcast Signed Bitcoin Transaction POST
Broadcasts a signed Bitcoin transaction that was originally produced from a transfer or cross-swap quote. The endpoint validates that the quote exists and that the signed transaction matches the previously generated quote, then publishes the transaction to the Bitcoin network. The associated transaction is recorded in the history of that wallet.
List Tokens GET
This endpoint lists all tokens whitelisted in the project by default, or all tokens Notus API supports with a flag.